[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# THashedStringList.IndexOfName

Return the index of a name in the list of name=value pairs

## Declaration

Source position: inifiles.pp line 75

`public function THashedStringList.IndexOfName(`
`const Name: String`
`):Integer; override;`

## Arguments

`Name` |  | Name to look for

## Function result

Index of name Name or -1 if no name=value pair exists with Name.

## Description

IndexOfName overrides the #rtl.classes.TStrings.IndexOfName method and uses the hash values of the names to look for the location of Name.

## See also

#rtl.classes.TStrings.IndexOfName
THashedStringList.IndexOf |  | Returns the index of a string in the list of strings

The latest version of this document can be found at lazarus-ccr.sourceforge.net .